### Enumeration

# Gio FileAttributeInfoFlags

#### Declaration

    flags Gio.FileAttributeInfoFlags

#### Description [src]

Flags specifying the behaviour of an attribute.

#### Members

`G_FILE_ATTRIBUTE_INFO_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_INFO_COPY_WITH_FILE`

  Copy the attribute values when the file is copied.

  - Value: `1`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_INFO_COPY_WHEN_MOVED`

  Copy the attribute values when the file is moved.

  - Value: `2`
  - Available since: 2.0